Bug 251288 - booting a rhel3u9 HVM guest with "apic = 0" in the guest config file causes kernel panic on guest.
booting a rhel3u9 HVM guest with "apic = 0" in the guest config file causes k...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
x86_64 Linux
low Severity low
: ---
: 5.6
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks: 249521
  Show dependency treegraph
 
Reported: 2007-08-08 03:04 EDT by Gurhan Ozen
Modified: 2013-11-03 20:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 05:05:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
guest kernel backtrace (4.09 KB, text/plain)
2007-08-08 03:09 EDT, Gurhan Ozen
no flags Details

  None (edit)
Description Gurhan Ozen 2007-08-08 03:04:22 EDT
Description of problem:
  This is rather interesting. When booting a rhel3u9 hvm UP guest with apic = 0
in the guest config file, guest kernel panics with the attached backtrace. Yet
booting the same guest with "noapic" passed to the kernel line in grub works fine. 

Version-Release number of selected component (if applicable):
On dom0:
# rpm -q libvirt xen kernel-xen
libvirt-0.2.3-5.el5
libvirt-0.2.3-5.el5
xen-3.0.3-33.el5
kernel-xen-2.6.18-37.el5

guest-kernel:
released/RHEL-3/U9/AS/x86_64/tree/

How reproducible:
Everytime

Steps to Reproduce:
1. Install a rhel3u9 HVM guest. 
2. Edit the config file to change apic = 0 to apic = 1
3. Start the guest.


Additional info:
Comment 1 Gurhan Ozen 2007-08-08 03:09:11 EDT
Created attachment 160884 [details]
guest kernel backtrace
Comment 2 Brian Stein 2007-08-14 09:05:41 EDT
Please confirm this behavior on the most current beta tree.
Comment 3 Gurhan Ozen 2007-08-14 16:16:04 EDT
(In reply to comment #2)
> Please confirm this behavior on the most current beta tree.

This behavior is confirmed with the RHEL5.1-Server-20070809.5 tree.

# rpm -q xen kernel-xen libvirt
xen-3.0.3-35.el5
kernel-xen-2.6.18-38.el5
libvirt-0.2.3-5.el5
libvirt-0.2.3-5.el5
Comment 5 RHEL Product and Program Management 2007-10-15 23:50:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2008-03-11 15:43:28 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 7 Don Domingo 2008-04-01 22:09:51 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 9 Michal Novotny 2010-03-17 08:43:42 EDT
(In reply to comment #7)
> Hi,
> the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
> which point no further additions or revisions will be entertained.
> 
> a mockup of the RHEL5.2 release notes can be viewed at the following link:
> http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html
> 
> please use the aforementioned link to verify if your bugzilla is already in the
> release notes (if it needs to be). each item in the release notes contains a
> link to its original bug; as such, you can search through the release notes by
> bug number.
> 
> Cheers,
> Don    

I did testing on kernel-xen-2.6.18-191.el5 and xen-3.0.3-105.el5 and the result is the same like stated in comment #0, i.e. the RHEL 3u9 x86_64 is causing the kernel panic with the apic disabled ("apic = 0" ) but i386 version is working fine without APIC. Apparently APIC support is required for x86_64 to work.

Paolo, I am not having RHEL 4 kernel sources downloaded but I know you have, could you please have a look whether there is something to prevent x86_64 version to boot without APIC enabled?

Thanks,
Michal
Comment 10 Paolo Bonzini 2010-03-17 11:20:12 EDT
x86_64 machines all have an APIC and the kernel requires it for proper operation.
Comment 11 Paolo Bonzini 2010-03-17 11:21:19 EDT
(i.e. it can be disabled with noapic, but if noapic is not given, the kernel won't check whether it's present or not).
Comment 12 Michal Novotny 2010-03-18 05:05:51 EDT
(In reply to comment #11)
> (i.e. it can be disabled with noapic, but if noapic is not given, the kernel
> won't check whether it's present or not).    

Ok, great, that way I am closing this one as NOTABUG.

Thanks for your input Paolo,
Michal
Comment 13 Paolo Bonzini 2010-04-08 11:43:14 EDT
This bug was closed during 5.5 development and it's being removed from the internal tracking bugs (which are now for 5.6).

Note You need to log in before you can comment on or make changes to this bug.